## org.apache.taglibs.standard.tag.rt.fmt
Class SetBundleTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.taglibs.standard.tag.common.fmt.SetBundleSupport
              org.apache.taglibs.standard.tag.rt.fmt.SetBundleTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag

    public class SetBundleTag

extends SetBundleSupport

A handler for <setBundle> that supports rtexprvalue-based attributes.

Author:
  Jan Luehe
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.fmt.SetBundleSupport
`basename`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SetBundleTag()`

Method Summary
`void` `setBasename(String basename)`

Methods inherited from class org.apache.taglibs.standard.tag.common.fmt.SetBundleSupport
`doEndTag, release, setScope, setVar`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetBundleTag

    public SetBundleTag()

Method Detail

### setBasename

    public void setBasename(String basename)
                     throws JspTagException

  Throws:
    `JspTagException`

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.